Package org.bgerp.plugin.pln.callboard.model

# Class Shift

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.plugin.pln.callboard.model.Shift

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class Shift extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shift()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategory()`
  `String`
  `getColor()`
  `String`
  `getComment()`
  `String`
  `getSymbol()`
  `int`
  `getWorkTypeCount()`
  `List<WorkTypeTime>`
  `getWorkTypeTimeList()`
  `boolean`
  `isUseOwnColor()`
  `String`
  `serializeToData()`
  `void`
  `setCategory(int category)`
  `void`
  `setColor(String color)`
  `void`
  `setComment(String comment)`
  `void`
  `setSymbol(String symbol)`
  `void`
  `setUseOwnColor(boolean useOwnColor)`
  `void`
  `setWorkTypeTimeList(List<WorkTypeTime> workTypeTimeList)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### Shift

    public Shift()

- ## Method Details

  - ### isUseOwnColor

    public boolean isUseOwnColor()

  - ### setUseOwnColor

    public void setUseOwnColor(boolean useOwnColor)

  - ### getColor

    public String getColor()

  - ### setColor

    public void setColor(String color)

  - ### getCategory

    public int getCategory()

  - ### setCategory

    public void setCategory(int category)

  - ### getWorkTypeTimeList

    public List<WorkTypeTime> getWorkTypeTimeList()

  - ### setWorkTypeTimeList

    public void setWorkTypeTimeList(List<WorkTypeTime> workTypeTimeList)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### serializeToData

    public String serializeToData()

  - ### getWorkTypeCount

    public int getWorkTypeCount()

  - ### getSymbol

    public String getSymbol()

  - ### setSymbol

    public void setSymbol(String symbol)